Loading...
Searching...
No Matches
Dune::RefinementImp::HCubeTriangulation Namespace Reference

This namespace contains the Refinement implementation for triangulating hypercubes (GeometryType::cube -> GeometryType::simplex). More...

## Classes

class | RefinementIteratorSpecial
class | RefinementImp
class | RefinementIteratorSpecial< dimension, CoordType, dimension >
class | RefinementIteratorSpecial< dimension, CoordType, 0 >

## Functions

template<int n>
FieldVector< int, n > | getPermutation (int m)
| Calculate permutation from it's index.
template<int dimension, class CoordType>
FieldVector< CoordType, dimension > | referenceToKuhn (FieldVector< CoordType, dimension > point, const FieldVector< int, dimension > &kuhn)
| Map from the reference simplex to some Kuhn simplex.

## Detailed Description

This namespace contains the Refinement implementation for triangulating hypercubes (GeometryType::cube -> GeometryType::simplex).

See Refinement implementation for triangulating hypercubes.

## Function Documentation

## getPermutation()

template<int n>

FieldVector< int, n > Dune::RefinementImp::Simplex::getPermutation | ( | int | m | ) |

Calculate permutation from it's index.

Runtime is of order O(n).

## referenceToKuhn()

template<int dimension, class CoordType>

FieldVector< CoordType, dimension > Dune::RefinementImp::Simplex::referenceToKuhn | ( | FieldVector< CoordType, dimension > | point,
|  | const FieldVector< int, dimension > & | kuhn )

Map from the reference simplex to some Kuhn simplex.

Template Parameters

  dimension | Dimension of the simplices
  CoordType | The C++ type of the coordinates

Runtime is of order O(dimension)

Parameters

  point | Point to map
  kuhn | Permutation of the Kuhn simplex to map to